Bug 105027 - [PATCH] Update port: graphics/gnofract4d fix BROKEN status
Summary: [PATCH] Update port: graphics/gnofract4d fix BROKEN status
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-11-01 16:40 UTC by Derek Marcotte
Modified: 2006-11-17 15:00 UTC (History)
0 users

See Also:


Attachments
gnofract4d-3.0_1.patch (24.88 KB, patch)
2006-11-01 16:40 UTC, Derek Marcotte
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Derek Marcotte 2006-11-01 16:40:20 UTC
	Port is currently marked as broken, as it leaves files around 
after the install.

Fix: I updated the plist to include all of the installed files and 
directories.  I also added to the plist the empty directories created.
  Also, I found the program did not export to png correctly, so I 
updated the Makefile to patch the installer for the current build 
environment.  It now exports to png correctly.
How-To-Repeat: 	On a fresh install of 6.2-BETA2, and pkg_add -r gnome2 from 
tinderbox, I  took a list of files on my system, and then built, 
installed, and deinstalled the package, and compared the results.
Comment 1 Alejandro Pulver freebsd_committer 2006-11-05 23:21:53 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

I'll take it.
Comment 2 Alejandro Pulver freebsd_committer 2006-11-08 19:27:05 UTC
Responsible Changed
From-To: alepulver->freebsd-ports-bugs

Leave PR
Comment 3 Pav Lucistnik freebsd_committer 2006-11-17 13:45:01 UTC
State Changed
From-To: open->closed

Commited with modifications (port was already at 3.1)
Comment 4 dfilter service freebsd_committer 2006-11-17 14:55:56 UTC
pav         2006-11-17 14:55:41 UTC

  FreeBSD ports repository

  Modified files:
    graphics/gnofract4d  Makefile pkg-plist 
  Log:
  - Fix png, jpeg library detection
  
  PR:             ports/105027
  Submitted by:   Derek Marcotte <derek.4548bfb0@razorfever.net>
  
  - Fix plist
  
  Revision  Changes    Path
  1.48      +4 -11     ports/graphics/gnofract4d/Makefile
  1.17      +6 -0      ports/graphics/gnofract4d/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"